<?php

namespace App\Http\Controllers;

use App\Badge;
use App\BadgeType;
use App\Http\Utils\utils;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class BadgeController extends Controller
{



    /*public function badgeTable(){
        return DB::table('badges')
            ->join('badge_types', function ($join) {
                $join->on('badges.badge_type_id', '=', 'badge_types.id');
            });
    }

    public function allFullBadges(){
        return response()->json($this->badgeTable()->get());
    }

    public function getFullBadge($id){
        return response()->json($this->badgeTable()->where('badges.id',$id)->first());
    }

    public function allBadges(){
        return response()->json(Badge::all());
    }

    public function getBadges(Request $request){
        return response()->json(Badge::where('user_id', $request->get('user'))->get());
    }*/
    public function getMyBadges(){
        return response()->json(Badge::with('badgeType')->where('user_id',$this->user)->get());
    }
    public function getBadge2Type($type){
        return response()->json(Badge::with('badgeType')->where('user_id',$this->user)->where('badge_type_id',$type)->get());
    }

    public function getBadge($id){
        return response()->json(Badge::find($id));
    }

    public function allBadgeTypes(){
        return response()->json(BadgeType::all());
    }

    public function getBadgeType($id){
        return response()->json(BadgeType::find($id));
    }
}
