<?php

namespace App\Http\Controllers;

use App\Http\Utils\utils;
use Carbon\Carbon;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Support\Facades\Log;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
    public $user;
    public function __construct(Request $request)
    {
        Log::info('controller==='.$request->header('authToken'));
        Log::info('controller==='.utils::checkToken($request->header('authToken')));
        $this->user  = utils::checkToken($request->header('authToken'));
    }
}
