<?php

namespace App\Http\Controllers;

use App\Http\Utils\utils;
use App\State;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class StateController extends Controller
{

    public function allStates(){
        return response()->json(State::all());
    }

    public function getState($id){
        return response()->json(State::find($id));
    }

    public function setInterest($id){

        Log::info('user id=='.$this->user);

        $user = User::find($this->user);
        $user->state_of_interest = $id;
        $user->save();
        return utils::makeResponse();
    }
}
