<?php

namespace App\Http\Middleware;


use App\Http\Utils\utils;
use Closure;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;



class jwtUser
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $key = "authToken";
        $token = $request->header($key);

        if (isset($token)) {
            //$token = $headers["$key"];
            $owner = utils::checkToken($token);
            if ($owner != null) {
                return $next($request);
            }
        }

        return Utils::makeResponse([], __('Unauthenticated'), false);
    }
}
