<?php

namespace App;

use App\Http\Utils\utils;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class Vote extends Model
{
    protected $table = 'votes';

    public function getVoteResultforPos($posId){
        $sql = "SELECT f1.*,can.first_name,can.last_name,p.`name` FROM (
                SELECT candidate_id,SUM(num_votes) AS sum FROM votes WHERE position_id = $posId GROUP BY candidate_id ORDER BY sum DESC ) as f1 
                LEFT JOIN candidates as can ON can.id = f1.candidate_id
                LEFT JOIN parties as p ON p.id = can.party_id";
        $result = DB::select($sql);
        return $result;
    }
    public function getResultforState($posIs){
        $cands = Candidate::where('position_id',$posIs)->get();
        $sql = "SELECT 	state_name AS votebyState ";
        $valueList = [];
        $index = 1;
        foreach ($cands as $cand){
            $sql .=", SUM(IF(candidate_id = $cand->id, num_votes, 0)) AS $cand->first_name ";
            $valueList[$index] = $cand->party_id;
            $index++;
        }
       // $sql  = substr($sql,-1,1);
        $sql .= " FROM 	( SELECT votes.*, pus.state_id,state_name FROM votes LEFT JOIN pus ON votes.pu_id = pus.id ) AS t1 GROUP BY state_name";
        $result = DB::select($sql);
        return ['result'=>$result,'values'=>$valueList];
    }
}
